
Analytics Zoo provides plenty of examples ready for re-use as listed below.

   * [Image Classification](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/imageclassification): This example illustrates how to do the image classification with pre-trained model.
   * [Object Detection](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/objectdetection): This example illustrates how to detect objects in image with pre-trained model.
   * [Recommendation](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/recommendation): There are two Scala examples for recommender models, including wide and deep(WND) model and Neural network-based Collaborative Filtering(NCF) model.
   * [Text Classification](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/textclassification): This example uses pre-trained GloVe embeddings to convert words to vectors and trains a CNN, LSTM or GRU `TextClassifier` model on 20 Newsgroup dataset
   * [DataFrame](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/nnframes): There are three examples to show how to perform transfer learning/model inference using pre-trained Inception v1 model with DataFrame-based API.
   * [TFNet](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/tfnet): TFNet can encapsulate a frozen TensorFlow graph as an Analytics Zoo layer for inference. This example illustrates how to use a pre-trained TensorFlow object detection model to make inferences using Analytics Zoo on Spark.
   * [QARanker](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/qaranker): This example trains and evaluates a KNRM model on WikiQA dataset for ranking.
   * [Anomaly Detection](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/anomalydetection): This example illustrates how to use LSTM to detect anomalies on NYC taxi passengers dataset.
   * [Seq2seq](https://github.com/intel-analytics/analytics-zoo/tree/master/zoo/src/main/scala/com/intel/analytics/zoo/examples/chatbot): This example illustrates how to train a seq2seq model and generate answer for a given query with a seq2seq model using Analytics Zoo on Spark.

